package agilpizza.modelo;

import static junit.framework.Assert.assertEquals;

import java.util.ArrayList;
import java.util.List;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class PizzaTradicionalTest {

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testePizzaTradicionalCriada() {
        String nomeDeRomana = "Romana";
        PizzaTradicional pizzaTradicional = new PizzaTradicional(nomeDeRomana, null);
        assertEquals("Pizza Tradicional deve ter nome especificado.", nomeDeRomana,
                pizzaTradicional.getNome());
	}
	
	@Test
	public void testePrecoPizzaTradicionalCriada() {
		List<Ingrediente> ingredientes = new ArrayList<Ingrediente>();
		
		ingredientes.add(new Ingrediente("Tomate",2.50));
		ingredientes.add(new Ingrediente("Muzzarela", 5.00));
		
        String nomeDaPizza = "Portuguesa";
        PizzaTradicional pizzaTradicional= new PizzaTradicional(nomeDaPizza, ingredientes);
        assertEquals("Pizza Tradicional deve ter preço especificado.", 17.50,
                pizzaTradicional.getPrecoTotal());
	}

}